%define name PortScanner
%define version 1.2
%define release 2mdk

Name: %{name} 
Summary: TCP Port Scanner.
Version: %{version}
Release: %{release}
Source: http://www.ameth.org/~veilleux/PortScanner-%{version}.tar.bz2
Group: Networking/Other
URL: http://www.ameth.org/~veilleux/portscan.html
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Packager: Christian Vanguers <cvanguers@isaserver.be>

%description
PortScanner is a Network Utility especially designed to "scan" for listening 
TCP ports. It uses a simple method to achieve its goal, and it is extremely 
compact taking in account all of the options available. The program itself is
provided free of charge. Typical uses for this software are: security scanning, 
functionnality tests and service verifications. The program has 3 levels of 
verbosity, each suited for a specific operation, level 0 being the level to be 
used by higher-level interface programs, and level 2 being the level best
suited for human reading. 

%prep

%setup

%build
make -j 2 portscan
make -j 2 xportscan

%install

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 755 portscan $RPM_BUILD_ROOT/usr/bin/portscan
install -m 755 xportscan $RPM_BUILD_ROOT/usr/X11R6/bin/xportscan
install -m 644 portscan.1 $RPM_BUILD_ROOT/usr/man/man1

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
        file $i|grep -q "not stripped" && strip $i
done

bzip2 -9f $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc README INSTALL CHANGELOG TODO
/usr/bin/*
/usr/X11R6/bin/*
/usr/man/man1/*

%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- fix group

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used the srpm provided by Christian Vanguers <cvanguers@isaserver.be>

* Tue Dec 07 1999 Christian Vanguers <cvanguers@isaserver.be>
- First RPM done for this tool

